Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-11856

Require composer.json for extensions

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.1.0-dev
    • Fix Version/s: 3.1.0-a3
    • Component/s: Extensions
    • Labels:
      None

      Description

      For the extension manager to find an extension it should have an ext.php AND a composer.json in it's root, otherwise don't even recognise it as an extension (it will mess up the extension manager amongst other things).

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                nickvergessen Joas Schilling
                Reporter:
                MichaelC Michael Cullum
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: